- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MittelmannBndryCntrlNeum3 Class Reference

Class implementating Example 7. More...

`#include <MittelmannBndryCntrlNeum.hpp>`

Inheritance diagram for MittelmannBndryCntrlNeum3:

[legend]
Collaboration diagram for MittelmannBndryCntrlNeum3:

[legend]
List of all members.

## Public Member Functions
| MittelmannBndryCntrlNeum3 ()
virtual | ~MittelmannBndryCntrlNeum3 ()
virtual bool | InitializeProblem (Index N)
| Initialize internal parameters, where N is a parameter determining the problme size.
## Protected Member Functions
virtual Number | y_d_cont (Number x1, Number x2) const
| Target profile function for y.
virtual Number | d_cont (Number x1, Number x2, Number y) const
| Forcing function for the elliptic equation.
virtual Number | d_cont_dy (Number x1, Number x2, Number y) const
| First partial derivative of forcing function w.r.t.
virtual Number | d_cont_dydy (Number x1, Number x2, Number y) const
| Second partial derivative of forcing function w.r.t y,y.
virtual bool | d_cont_dydy_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t.
virtual Number | b_cont (Number x1, Number x2, Number y, Number u) const
| Function in Neuman boundary condition.
virtual Number | b_cont_dy (Number x1, Number x2, Number y, Number u) const
| First partial derivative of b_cont w.r.t.
virtual Number | b_cont_du (Number x1, Number x2, Number y, Number u) const
| First partial derivative of b_cont w.r.t.
virtual Number | b_cont_dydy (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of b_cont w.r.t.
virtual bool | b_cont_dydy_alwayszero () const
| returns true if second partial derivative of b_cont w.r.t.
## Private Member Functions
hide implicitly defined contructors copy operators
| MittelmannBndryCntrlNeum3 (const MittelmannBndryCntrlNeum3 &)
MittelmannBndryCntrlNeum3 & | operator= (const MittelmannBndryCntrlNeum3 &)

## Detailed Description

Class implementating Example 7.

Definition at line 399 of file MittelmannBndryCntrlNeum.hpp.

## Constructor & Destructor Documentation

MittelmannBndryCntrlNeum3::MittelmannBndryCntrlNeum3 | ( |  | ) | `[inline]`

Definition at line 402 of file MittelmannBndryCntrlNeum.hpp.

virtual MittelmannBndryCntrlNeum3::~MittelmannBndryCntrlNeum3 | ( |  | ) | `[inline, virtual]`

Definition at line 405 of file MittelmannBndryCntrlNeum.hpp.

MittelmannBndryCntrlNeum3::MittelmannBndryCntrlNeum3 | ( | const MittelmannBndryCntrlNeum3 & |  | ) | `[private]`

## Member Function Documentation

virtual bool MittelmannBndryCntrlNeum3::InitializeProblem | ( | Index | N | ) | `[inline, virtual]`

Initialize internal parameters, where N is a parameter determining the problme size.

This returns false, if N has an invalid value.

Implements RegisteredTNLP.

Definition at line 408 of file MittelmannBndryCntrlNeum.hpp.

References MittelmannBndryCntrlNeumBase::SetBaseParameters().

virtual Number MittelmannBndryCntrlNeum3::y_d_cont | ( | Number | x1,
|  | Number | x2 |
| ) |  |  | const`[inline, protected, virtual]`

Target profile function for y.

Implements MittelmannBndryCntrlNeumBase.

Definition at line 426 of file MittelmannBndryCntrlNeum.hpp.

virtual Number MittelmannBndryCntrlNeum3::d_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y |
| ) |  |  | const`[inline, protected, virtual]`

Forcing function for the elliptic equation.

Implements MittelmannBndryCntrlNeumBase.

Definition at line 431 of file MittelmannBndryCntrlNeum.hpp.

virtual Number MittelmannBndryCntrlNeum3::d_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of forcing function w.r.t.

y

Implements MittelmannBndryCntrlNeumBase.

Definition at line 436 of file MittelmannBndryCntrlNeum.hpp.

virtual Number MittelmannBndryCntrlNeum3::d_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t y,y.

Implements MittelmannBndryCntrlNeumBase.

Definition at line 441 of file MittelmannBndryCntrlNeum.hpp.

virtual bool MittelmannBndryCntrlNeum3::d_cont_dydy_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of d_cont w.r.t.

y,y is always zero.

Implements MittelmannBndryCntrlNeumBase.

Definition at line 447 of file MittelmannBndryCntrlNeum.hpp.

virtual Number MittelmannBndryCntrlNeum3::b_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Function in Neuman boundary condition.

Implements MittelmannBndryCntrlNeumBase.

Definition at line 452 of file MittelmannBndryCntrlNeum.hpp.

virtual Number MittelmannBndryCntrlNeum3::b_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of b_cont w.r.t.

y

Implements MittelmannBndryCntrlNeumBase.

Definition at line 457 of file MittelmannBndryCntrlNeum.hpp.

virtual Number MittelmannBndryCntrlNeum3::b_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of b_cont w.r.t.

u

Implements MittelmannBndryCntrlNeumBase.

Definition at line 462 of file MittelmannBndryCntrlNeum.hpp.

virtual Number MittelmannBndryCntrlNeum3::b_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of b_cont w.r.t.

y,y

Implements MittelmannBndryCntrlNeumBase.

Definition at line 467 of file MittelmannBndryCntrlNeum.hpp.

virtual bool MittelmannBndryCntrlNeum3::b_cont_dydy_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of b_cont w.r.t.

y,y is always zero.

Implements MittelmannBndryCntrlNeumBase.

Definition at line 473 of file MittelmannBndryCntrlNeum.hpp.

MittelmannBndryCntrlNeum3& MittelmannBndryCntrlNeum3::operator= | ( | const MittelmannBndryCntrlNeum3 & |  | ) | `[private]`

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/examples/ScalableProblems/MittelmannBndryCntrlNeum.hpp